/**
 * Configuration file for apeman projects.
 * @see https://github.com/apeman-labo/apeman
 */

"use strict";

module.exports = {
    /** Current working directory path */
    get $cwd() {
        return __dirname;
    },
    /** Package data. */
    get $pkg() {
        return require('./package.json');
    },
    /** Prototype apps */
    get $proto() {
        return [];
    },
    /**
     * apeman tmpl configurations.
     * @see https://github.com/apeman-labo/apeman-tmpl
     */
    get $tmpls() {
        var ci = require('apeman-tmpl-ci');
        return {
            'ci/install.js': ci({cmd: 'task', args: 'install'}),
            'ci/build.js': ci({cmd: 'task', args: 'build'}),
            'ci/test.js': ci({cmd: 'task', args: 'test'})
        }
    },
    /**
     * apeman task configurations.
     * @see https://github.com/apeman-labo/apeman-task
     */
    get $tasks() {
        return {
            'install': [],
            'build': [],
            'test': []
        }
    }
};


if (!module.parent) {
    // Execute this file as apeman bin.
    require('apeman').cli(process.argv);
}
